Mattermost, Inc.

[SOLVED] Ever used mappernative client?

Hi,

running MM 3.10.0

Got strange error messages in my log (e.g 900 ninehundred! entries in 2 minutes)

[2017/07/12 12:20:07 CEST] [DEBG] /api/v3/users/websocket
[2017/07/12 12:20:07 CEST] [EROR] websocket connect err: websocket: ‘Origin’ header value not allowed
[2017/07/12 12:20:07 CEST] [EROR] /api/v3/users/websocket:connect code=500 rid=o9b9uoan5t845x9wcb415m5uze uid=hy4a5rhdzpr8dpu5ixdxfs9iuw ip=213.61.155.123 Failed to upgrade websocket connection [details: ]
[2017/07/12 12:20:07 CEST] [DEBG] /api/v3/users/websocket
[2017/07/12 12:20:07 CEST] [EROR] websocket connect err: websocket: ‘Origin’ header value not allowed
[2017/07/12 12:20:07 CEST] [EROR] /api/v3/users/websocket:connect code=500 rid=37e58sfm5fdxiyn666xi5zss6y uid=hy4a5rhdzpr8dpu5ixdxfs9iuw ip=213.61.155.123 Failed to upgrade websocket connection [details: ]
[2017/07/12 12:20:07 CEST] [DEBG] /api/v3/users/websocket
[2017/07/12 12:20:07 CEST] [EROR] websocket connect err: websocket: ‘Origin’ header value not allowed
[2017/07/12 12:20:07 CEST] [EROR] /api/v3/users/websocket:connect code=500 rid=i3fibpxi4fy3jjcu53xph5qxhr uid=hy4a5rhdzpr8dpu5ixdxfs9iuw ip=213.61.155.123 Failed to upgrade websocket connection [details: ]

after asking the user he told me: “i installed Matternative for iOS and it’s working fine”

checking that software on https://itunes.apple.com/us/app/mattermost/id984966508 it seems to be an external software runníng for MM 3.5. There is an android version too. Didn’t test that yet.

questions:

  • that is not an mattermost.com product, yes?
  • are there any chances, that mattermost can do something on the server side to get rid of the error (user has no problems)?
  • is there a feature to see which client and version is connecting mm server? this would be fine to identify the client whenever there’s a problem.
  • is there a way to block specific clients? or block older client releases?

i’m not asking you to support the external client, but i need to handle this stuff as server admin.
btw: matternative “support link” is broken.

regards
walter

Hi @wambacher,

Could you try downloading “Mattermost Classic” (the old, but still supported mobile app) and “Mattermost Beta” (the new react native mobile app) from the app store / playstore. This should resolve your issues.

Hi Lindy,

thanks for your reply.

please read my question carefully: i persionally don’t use any Mattermost Client, BUT OUR USERS DO.
i’m just the admin havin problems in what my users are doing.

i can’t see in the logfiles which clients our users are using nor the version/release info. And i can’t prevent users from using this old rubbish.

Regards
walter

Hi @wambacher,

Thank you for your feedback,

I did read your question carefully and because Matternative was developed by “Kilograpp Studio” and is not a Mattermost product, we’re not able to help you with any issues experienced in that program.

If your users would like to use a Mattermost mobile product, then they can download the “classic” or “beta” app from the the playstore / app store.

I hope this helps?